For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETList tokens
        • POSTCreate token
        • DELRevoke token
        • PUTUpdate token IP allowlist
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceToken

Create token

POST
https://api.prod.paradex.trade/v1/account/tokens
POST
/v1/account/tokens
$curl -X POST https://api.prod.paradex.trade/v1/account/tokens \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "expiry_duration": 86400,
> "name": "My Long-term Trading Token",
> "token_type": "string"
>}'
1{
2 "api_token": {
3 "allowed_cidrs": [
4 "[\"203.0.113.0/24\"]"
5 ],
6 "created_at": 1640995200,
7 "expiry_at": 1672531200,
8 "kind": "string",
9 "last_updated_at": 1640995200,
10 "lookup_id": "uuid-123",
11 "name": "My API Token",
12 "revoked_at": 0,
13 "token_id": "token_123"
14 },
15 "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
16}
Create a new authentication token for the authenticated account with custom name and expiration duration.
Was this page helpful?
Previous

Revoke token

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Request

Token creation request
expiry_durationintegerRequired

Duration in seconds from now until expiration (1 min to 1 year).

namestringRequired

User-friendly name for the JWT token.

token_typestringRequired
Type of token to create.

Response

Token created successfully
api_tokenobject
The token metadata
tokenstring
The generated JWT token

Errors

400
Bad Request Error
401
Unauthorized Error